
# Quickly packaged together to learn a complex spec building by
# Matt <panzer@dhp.com>.  If you have any questions feel free to
# send me email.  If you are interested in a privacy oriented
# ISP to provide services for you, please check out our web page
# at http://www.dhp.com/
#
# If you have a need for SSH in a comercial environment in the US
# please contact me, panzer@dhp.com, as DataHaven Project, Inc is
# an authorized reseller of the F-Secure product, check out
# http://www.datafellows.com/
#
# You will need to get the source files yourself.
# You may want to change the configure line to specify which options you
# want.  By default it will compile without IDEA and with RSAREF.  I have
# tested the the other variations, but see no reason why they should fail.
#
# Installs in /usr/bin, and all config options go into /var/ssh
#
# history:
# rel1 - 1.2.21 complete
# rel2 - added /usr/bin/slogin to rpm
#
Description: ssh-1.2.21 encrypted telnet server/client
Name: ssh
Version: 1.2.21
Release: 2
Source0: ftp://ftp.cs.hut.fi/pub/ssh/ssh-1.2.21.tar.gz
Source1: ftp://utopia.hacktic.nl/pub/crypto/crypto/LIBS/rsa/rsaref2.tar.gz
Patch0: ftp://ftp.dhp.com/pub/linux/dhp-dist/ssh-1.2.21.pam.patch
Copyright: Non-Comercial Redistribution
URL: http://www.cs.hut.fi/ssh
Group: Utilities/Network
Distribution: DHP Distrib
Vendor: DataHaven Project, Inc.
Packager: Matt <panzer@dhp.com>

%prep
%setup
%setup -T -D -a 1
%patch0 -p1
#%patch1 -p1

%build
#US Build, mostly legal
CFLAGS="$RPM_OPT_FLAGS" ./configure  --without-idea --disable-suid-ssh --with-r
saref --with-etcdir=/var/ssh --prefix=/usr --enable-deprecated-linux-pw-encrypt
#Non-US Comercial Build (Without IDEA)
#CFLAGS="$RPM_OPT_FLAGS" ./configure  --without-idea --disable-suid-ssh --with-
etcdir=/var/ssh --prefix=/usr --enable-deprecated-linux-pw-encrypt
#Non-US Non-Comercial Build (With IDEA)
#CFLAGS="$RPM_OPT_FLAGS" ./configure  --disable-suid-ssh --with-etcdir=/var/ssh
 --prefix=/usr --enable-deprecated-linux-pw-encrypt
make

%install
umask 022
mkdir -p /var/ssh /usr/bin /usr/sbin /usr/man/man1 /usr/man/man8
install -o root -g root -m 0644 host_config.sample $RPM_BUILD_ROOT/var/ssh/ssh_
config
sed 's:_ETCDIR_:/var/ssh:' < server_config.sample > sshd_config
install -o root -g root -m 0600 sshd_config $RPM_BUILD_ROOT/var/ssh/sshd_config
install -s -o root -g root -m 0711 ssh $RPM_BUILD_ROOT/usr/bin/ssh
ln -sf ssh $RPM_BUILD_ROOT/usr/bin/slogin
install -s -o root -g root -m 0755 ssh-keygen $RPM_BUILD_ROOT/usr/bin/ssh-keyge
n
install -s -o root -g root -m 0755 ssh-agent  $RPM_BUILD_ROOT/usr/bin/ssh-agent
install -s -o root -g root -m 0755 ssh-add    $RPM_BUILD_ROOT/usr/bin/ssh-add
install -s -o root -g root -m 0755 scp        $RPM_BUILD_ROOT/usr/bin/scp
install -o root -g root -m 0755 make-ssh-known-hosts $RPM_BUILD_ROOT/usr/bin/ma
ke-ssh-known-hosts
install -s -o root -g root -m 0755 sshd $RPM_BUILD_ROOT/usr/sbin/sshd
install -o root -g root -m 0644 ssh-keygen.1 $RPM_BUILD_ROOT/usr/man/man1/ssh-k
eygen.1
install -o root -g root -m 0644 ssh-agent.1 $RPM_BUILD_ROOT/usr/man/man1/ssh-ag
ent.1
install -o root -g root -m 0644 ssh-add.1 $RPM_BUILD_ROOT/usr/man/man1/ssh-add.
1
install -o root -g root -m 0644 scp.1 $RPM_BUILD_ROOT/usr/man/man1/scp.1
ln -sf ssh.1 $RPM_BUILD_ROOT/usr/man/man1/slogin.1
install -o root -g root -m 0644 ssh.1 $RPM_BUILD_ROOT/usr/man/man1/ssh.1
install -o root -g root -m 0644 make-ssh-known-hosts.1 $RPM_BUILD_ROOT/usr/man/
man1/make-ssh-known-hosts.1
install -o root -g root -m 0644 sshd.8 $RPM_BUILD_ROOT/usr/man/man8/sshd.8
install -o root -g root -m 0644 pamconfig.ssh $RPM_BUILD_ROOT/etc/pam.d/ssh
install -o root -g root -m 0755 sshd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/sshd
ln -sf ../init.d/sshd /etc/rc.d/rc0.d/K52sshd
ln -sf ../init.d/sshd /etc/rc.d/rc1.d/K52sshd
ln -sf ../init.d/sshd /etc/rc.d/rc2.d/S52sshd
ln -sf ../init.d/sshd /etc/rc.d/rc3.d/S52sshd
ln -sf ../init.d/sshd /etc/rc.d/rc5.d/S52sshd
ln -sf ../init.d/sshd /etc/rc.d/rc6.d/K52sshd
ln -sf ssh /usr/bin/slogin

%post
if test -f $RPM_BUILD_ROOT/var/ssh/ssh_host_key; \
          then echo "Leaving your host key in $RPM_BUILD_ROOT/var/ssh/ssh_host_
key."; \
  else \
    umask 022; echo "Generating 1024 bit host key."; \
    $RPM_BUILD_ROOT/usr/bin/ssh-keygen -b 1024 -f $RPM_BUILD_ROOT/var/ssh/ssh_h
ost_key -N ''; \
fi

%postun
echo "Please remove /var/ssh manually if you are uninstalling"

%files
%config /var/ssh/ssh_config
%config /var/ssh/sshd_config
%config /etc/rc.d/init.d/sshd
%config /etc/rc.d/rc0.d/K52sshd
%config /etc/rc.d/rc1.d/K52sshd
%config /etc/rc.d/rc2.d/S52sshd
%config /etc/rc.d/rc3.d/S52sshd
%config /etc/rc.d/rc5.d/S52sshd
%config /etc/rc.d/rc6.d/K52sshd
/usr/man/man1/ssh-keygen.1
/usr/man/man1/ssh-agent.1
/usr/man/man1/ssh-add.1
/usr/man/man1/scp.1
/usr/man/man1/slogin.1
/usr/man/man1/ssh.1
/usr/man/man1/make-ssh-known-hosts.1
/usr/man/man8/sshd.8
/usr/bin/ssh
/usr/bin/ssh-add
/usr/bin/ssh-keygen
/usr/bin/ssh-agent
/usr/bin/scp
/usr/bin/make-ssh-known-hosts
/usr/bin/slogin
/usr/sbin/sshd
/etc/pam.d/ssh
%doc README
%doc README.SECURERPC
%doc README.TIS
%doc README.CIPHERS
%doc README.SECURID



